Subject: bug#23431: 25.0.93; EWW hangs

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 04 May 2016 17:10:34 +0200

Juliusz Chroboczek <[email-masked]> writes:

> But what about the 6-second hang, which I can reproduce even with with
> shr-image-animate set to nil?

I think it's quite likely that we can implement ImageMagick support in a
more efficient way than Emacs currently does.  If you compare how long
time the "display" command uses to display an image (and that's a pure
ImageMagick app) with Emacs when displaying via ImageMagick, the
difference can be striking.

So if somebody familiar with the ImageMagick C interface could go over
the Emacs code, I think it's likely that we could see great improvements
here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no